Bug 973057 - qpid/sys/Time.h unavailable in qpid win sdk
qpid/sys/Time.h unavailable in qpid win sdk
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Chuck Rolke
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 03:47 EDT by Frantisek Reznicek
Modified: 2015-11-15 20:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2013-06-11 03:47:54 EDT
Description of problem:

qpid/sys/Time.h unavailable in qpid winsdk.

qpid/sys/Time.h should be available in qpid winsdk as in linux I can see both versions sourced by pre-processor
# grep WIN /usr/include/qpid/sys/Time.h 
#if defined (_WIN32)

The include\qpid\sys\Time.h is missing and should be available to allow users to work with qpid::sys::AbsTime and similar object from qpid::sys namespace.


Version-Release number of selected component (if applicable):
qpid-cpp-*-3.2.0.4.zip

How reproducible:
100%


Steps to Reproduce:
1. search for Time.h in qpid winsdk

Actual results:
qpid/sys/Time.h not available

Expected results:
qpid/sys/Time.h available

Additional info:
$ zip -Tv qpid-cpp-x64-VS2008-3.2.0.4.zip | grep -i time.h
$
Comment 2 Frantisek Reznicek 2013-06-11 04:58:45 EDT
Just placing the missing header files doesn't help as it turns to boost/date_time/posix_time/posix_time_types.hpp header to be missing. Workarounding qpid::sys atm to get it running.
Comment 4 Frantisek Reznicek 2013-06-12 07:59:32 EDT
It may be problematic to add qpid/sys/Time.h to winsdk.
Anyway I believe we should pick one of the solutions:
 a] add qpid/sys/Time.h and possibly other missing pieces from qpid::sys namespace
 b] suggest a way in documentation how customers can solve qpid::sys absence problems (including boost library (version) and probably other requirements)
Comment 5 Justin Ross 2013-06-19 17:05:51 EDT
Chuck, please assess.
Comment 7 Justin Ross 2013-06-25 16:34:22 EDT
Frantisek, do we have qpid-perftest in windows right now?

Note You need to log in before you can comment on or make changes to this bug.